Activity log for bug #1180880

Date Who What changed Old value New value Message
2013-05-16 15:57:11 Tobin Davis bug added bug
2013-05-16 15:57:11 Tobin Davis attachment added _usr_bin_bterm.0.crash https://bugs.launchpad.net/bugs/1180880/+attachment/3678421/+files/_usr_bin_bterm.0.crash
2013-05-17 12:44:35 Colin Watson bogl (Ubuntu): status New Triaged
2013-05-17 12:44:36 Colin Watson bogl (Ubuntu): importance Undecided High
2013-05-17 12:44:38 Colin Watson bogl (Ubuntu): assignee Colin Watson (cjwatson)
2013-05-17 13:35:06 Colin Watson affects bogl (Ubuntu) ubiquity (Ubuntu)
2013-05-17 13:35:06 Colin Watson ubiquity (Ubuntu): status Triaged In Progress
2013-05-17 13:46:01 Colin Watson nominated for series Ubuntu Precise
2013-05-17 13:46:01 Colin Watson bug task added ubiquity (Ubuntu Precise)
2013-05-17 13:46:10 Colin Watson nominated for series Ubuntu Saucy
2013-05-17 13:46:10 Colin Watson bug task added ubiquity (Ubuntu Saucy)
2013-05-17 13:50:10 Colin Watson ubiquity (Ubuntu Precise): status New In Progress
2013-05-17 13:50:13 Colin Watson ubiquity (Ubuntu Precise): importance Undecided High
2013-05-17 13:50:15 Colin Watson ubiquity (Ubuntu Precise): assignee Colin Watson (cjwatson)
2013-05-17 13:50:18 Colin Watson ubiquity (Ubuntu Precise): milestone ubuntu-12.04.3
2013-05-17 13:50:41 Launchpad Janitor branch linked lp:ubiquity
2013-05-17 13:57:55 Colin Watson description After installing Ubuntu Server 12.04 (and 12.04.2) AMD64 edition, then running oem-config-prepare after post-install updates and rebooting, the system hangs during reboot. Adding debug-oem-config doesn't produce any new information. Recovery only possible by booting in rescue mode from the installation cd (or bootable USB) then removing /var/lib/oem-config/run and rebooting. apport-retrace reports the following from the crash report: root@atp-spare1:/home/lab/bogl-0.1.18# apport-retrace -g /var/crash/_usr_bin_bterm.0.crash GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04 Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-linux-gnu". For bug reporting instructions, please see: <http://bugs.launchpad.net/gdb-linaro/>. Reading symbols from /usr/bin/bterm...Reading symbols from /usr/lib/debug/usr/bin/bterm...done. done. [New LWP 1489] warning: Can't read pathname for load map: Input/output error. Core was generated by `bterm -f /usr/share/ubiquity/unifont.bgf -- /usr/sbin/oem-config --only'. Program terminated with signal 7, Bus error. #0 0x0000000000404349 in bogl_font_glyph (font=0x1e10f20, wc=32 L' ', bitmap=0x0) at bogl.c:351 351 for (i = font->offset[wc & mask]; font->index[i]; i += 2) (gdb) bt #0 0x0000000000404349 in bogl_font_glyph (font=0x1e10f20, wc=32 L' ', bitmap=0x0) at bogl.c:351 #1 0x0000000000402891 in bogl_term_new (font=0x1e10f20) at bogl-term.c:41 #2 0x0000000000401c9c in main (argc=6, argv=0x7fff536402e8) at bterm.c:312 The attached crash does NOT have private data, so no need to keep this bug private. [Impact] Breaks OEM-mode server installations on at least some non-i386 architectures. [Test Case] Install an amd64 server image in OEM mode (F4 at the boot menu). After installation, make sure that ubiquity* and oem-config* are up to date from -proposed, run oem-config-prepare, and reboot. oem-config should appear on the console after reboot. [Regression Potential] Given the size of the change, I think the only plausible source of regression is the sort that should affect any rebuild of ubiquity. Nothing much other than this uses the debconf frontend. Original report follows: After installing Ubuntu Server 12.04 (and 12.04.2) AMD64 edition, then running oem-config-prepare after post-install updates and rebooting, the system hangs during reboot. Adding debug-oem-config doesn't produce any new information. Recovery only possible by booting in rescue mode from the installation cd (or bootable USB) then removing /var/lib/oem-config/run and rebooting. apport-retrace reports the following from the crash report: root@atp-spare1:/home/lab/bogl-0.1.18# apport-retrace -g /var/crash/_usr_bin_bterm.0.crash GNU gdb (Ubuntu/Linaro 7.4-2012.04-0ubuntu2.1) 7.4-2012.04 Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-linux-gnu". For bug reporting instructions, please see: <http://bugs.launchpad.net/gdb-linaro/>. Reading symbols from /usr/bin/bterm...Reading symbols from /usr/lib/debug/usr/bin/bterm...done. done. [New LWP 1489] warning: Can't read pathname for load map: Input/output error. Core was generated by `bterm -f /usr/share/ubiquity/unifont.bgf -- /usr/sbin/oem-config --only'. Program terminated with signal 7, Bus error. #0 0x0000000000404349 in bogl_font_glyph (font=0x1e10f20, wc=32 L' ', bitmap=0x0) at bogl.c:351 351 for (i = font->offset[wc & mask]; font->index[i]; i += 2) (gdb) bt #0 0x0000000000404349 in bogl_font_glyph (font=0x1e10f20, wc=32 L' ', bitmap=0x0) at bogl.c:351 #1 0x0000000000402891 in bogl_term_new (font=0x1e10f20) at bogl-term.c:41 #2 0x0000000000401c9c in main (argc=6, argv=0x7fff536402e8) at bterm.c:312 The attached crash does NOT have private data, so no need to keep this bug private.
2013-05-17 14:02:05 Launchpad Janitor branch linked lp:~ubuntu-installer/ubiquity/precise-proposed
2013-05-17 15:32:14 Launchpad Janitor ubiquity (Ubuntu Saucy): status In Progress Fix Released
2013-06-01 02:45:55 Steve Langasek ubiquity (Ubuntu Precise): status In Progress Fix Committed
2013-06-01 02:45:58 Steve Langasek bug added subscriber Ubuntu Stable Release Updates Team
2013-06-01 02:46:03 Steve Langasek bug added subscriber SRU Verification
2013-06-01 02:46:06 Steve Langasek tags verification-needed
2013-06-06 16:55:33 Tobin Davis tags verification-needed verification-done
2013-07-19 23:15:00 Steve Langasek removed subscriber Ubuntu Stable Release Updates Team
2013-07-19 23:15:20 Launchpad Janitor ubiquity (Ubuntu Precise): status Fix Committed Fix Released